Subject: Re: [PATCH v2] Add log.abbrevCommit config variable

From: Jonathan Nieder <[email-masked]>
Date: Sat, 14 May 2011 16:55:43 -0500

Jay Soffian wrote:

> Add log.abbrevCommit config variable as a convenience for users who
> often use --abbrev-commit with git log and friends. Allow the option
> to be overridden with --no-abbrev-commit.

Based on a quick google code search, this will break scripts. :/
For example, tig uses "git log --pretty=raw" to get revision lists,
including expecting 40-digit commit ids.

But aside from that, this looks good to me.  I'm not sure what to
suggest: go out and spread the word about diff-tree? suppress this
configuration when --pretty or --format is passed?  There's no obvious
good answer.